﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace ReSharperBug
{
  public static class MyAttachedProperty
  {
    #region FooBar

    /// <summary>
    /// FooBar Attached Dependency Property
    /// </summary>
    public static readonly DependencyProperty FooBarProperty =
            DependencyProperty.RegisterAttached("FooBar", typeof(object), typeof(MyAttachedProperty),
            new FrameworkPropertyMetadata((object)false));

    /// <summary>
    /// Gets the FooBar property. This dependency property 
    /// indicates ....
    /// </summary>
    public static object GetFooBar(DependencyObject d)
    {
      return (object)d.GetValue(FooBarProperty);
    }

    /// <summary>
    /// Sets the FooBar property. This dependency property 
    /// indicates ....
    /// </summary>
    public static void SetFooBar(DependencyObject d, object value)
    {
      d.SetValue(FooBarProperty, value);
    }

    #endregion


  }
}
